"""==============================================================
با فرض اینکه عناصر ارایه ۸۵ عنصری A حاوی اسامی ۸۵ نفر قبلاً ذخیره شده
شده و به صورت الفبایی صعودی نگهداری می شود. منطق برنامه ای را طراحی
کنید که ۴۵ اسم دیگر را بخواند و آنها را به گونه ای در آرایه قرار دهد
که ترتیب الفبایی عناصر حفظ شود.
=============================================================="""

A = ["A","B","C","G"]

for i in range(1,3):
    print("Please enter name",i)
    name = input("==> ")
    index = 0
    for i in range(len(A)):
        if name > A[i]:
            index = i
    A.insert(index+1,name)
print(A)